Page MenuHomePhabricator

Visual updates to the Places feature - Redo search button
Closed, ResolvedPublic

Description

Finding 1

Reconsider placement, color and text of the 'search this area' button. Perhaps keep it in the same place but color it blue and change the text to 'view results in this area' it's not intuitive to users that by browsing they are performing a search

Proposed design solution
Inverse the colors on the 'Redo search' button and change text string to 'Results in this area'*⃣.

iPadiPhone
Zeplin: https://zpl.io/1jdRDFZeplin: https://zpl.io/yOsjF

*⃣ String differences for common languages are as follows:

LanguageOriginal stringUpdated stringCharacter length difference
EnglishSearch this areaResults in this area+4
GermanSuche diesen BereichErgebnisse in diesem Bereich+8
Japaneseこのエリアを検索このエリアの結果0
FrenchRecherchez ce domaineRésultats dans ce domaine+ 4
SpanishBuscar en esta áreaResultados en esta área+4

Split finding 2 into: https://phabricator.wikimedia.org/T164076#3220925

Event Timeline

cmadeo created this task.Apr 25 2017, 9:31 PM
AMroczkowski renamed this task from Visual updates to the Places feature to Visual updates to the Places feature - Redo search button.Apr 28 2017, 2:33 PM
AMroczkowski updated the task description. (Show Details)

Hello, for this and other TCs for the Places feature (T163855, T163821, T163567) I'm not seeing a Places tab in Bottom, Left to Right (only Explore, Saved and History) on the latest build Wikipedia app 5.4.1 (1124). This has been the case with the latest regressions I did as well. I thought at first it had moved to the Explore feed, but could someone write some steps as to how to recreate this and other Places TCs as I'm not seeing information described as supposed to be there. Below are screencaps for iPad Mini 2 (iOS 10.3.1) but I'm seeing it on iPhones as well:

ABorbaWMF added a subscriber: ABorbaWMF.

Tested on an iPhone 7+ with iOS 10.3 and an iPad Mini 2 Retina on Beta App 5.5.0 (1129)

This one is fixed. All the visual changes are present.

JMinor closed this task as Resolved.May 23 2017, 8:49 PM
JMinor removed a project: Epic.